CHICKEN-BUG(1)

NAME
chicken-bug - generates a Chicken Scheme bug report from user input

SYNOPSIS
chicken-bug [ filename | OPTION ... ]

OPTIONS

-help
    Show usage information.

-to-stdout
    Write bug report to standard output instead of writing it to a file.

-   Read user input from standard input, even if files are given on the command line.

DESCRIPTION
chicken-bug generates a bug report file that collects user-input, optional files and system information obtained from the installed CHICKEN executables and libraries. Non-option arguments given on the command line are inserted into the bug report. If no option is given, or if - has been passed on the command line, then a description of the problem is read from standard input, until EOF (CTRL-D) is read. The report will be automatically e-mailed to the CHICKEN maintainers, if an SMTP connection can be established. If no connection can be made, the bug report will be written to a file in the current directory, which should be sent to CHICKEN maintainers as it contains various useful bits of information that make it easier to classify the problem described. Bug reports should be as detailed as possible. It is also very helpful to include code that reproduces the problem. The more detailed the input and the more thorough the description is, the easier you make it for the CHICKEN developers to help you.

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org

AUTHOR
Felix L. Winkelmann (felix@call-with-current-continuation.org) and The Chicken Team.

SEE ALSO
chicken(1)